%global momorel 1
%global artsver 1.5.4
%global artsrel 1m
%global qtver 3.3.5
%global kdever 3.5.4
%global kdelibsrel 1m
%global kdemultimediarel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr

Summary: MIDI/Audio Sequencer and Notation Editor
Name: rosegarden
Version: 1.4.0
Release: %{momorel}m
License: GPL
URL: http://www.rosegardenmusic.com/
Group: Applications/Multimedia
%NoSource 0 http://dl.sourceforge.net/sourceforge/rosegarden/%{name}-%{version}.tar.bz2 17a0e5a781ffe5d8c8bc8044573151c3
Patch0: %{name}-1.2.3-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: jack, ladspa, liblrdf
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}-%{kdelibsrel}, kdemultimedia >= %{kdever}-%{kdemultimediarel}
BuildPreReq: libart_lgpl-devel, zlib-devel, libpng-devel, libjpeg-devel
BuildPreReq: alsa-lib-devel, jack-devel, ladspa-devel, liblrdf-devel
BuildPreReq: desktop-file-utils, scons, pkgconfig

%description
Rosegarden is a user-friendly MIDI/audio sequencer, notation editor,
and general-purpose music composition and editing application for Unix
and Linux.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CXXFLAGS="%{optflags}" \
scons configure \
	prefix=%{_prefix} \
	libdir=%{_libdir} \
	qtlibs=%{qtdir}/lib \
	qtincludes=%{qtdir}/include

scons %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
scons install prefix=%{buildroot}%{_prefix}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/rosegarden.png %{buildroot}%{_datadir}/pixmaps/rosegarden.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Qt \
  --add-category KDE \
  %{buildroot}%{_datadir}/applnk/Applications/rosegarden.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README TRANSLATORS
%{_bindir}/rosegarden
%{_bindir}/rosegarden-lilypondview
%{_bindir}/rosegarden-project-package
%{_bindir}/rosegardensequencer
%{_datadir}/applications/kde/rosegarden.desktop
%{_datadir}/apps/rosegarden
%{_datadir}/doc/HTML/*/rosegarden
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/icons/*/*/apps/*.xpm
%{_datadir}/icons/*/*/mimetypes/*.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/mimelnk/audio/*.desktop
%{_datadir}/pixmaps/rosegarden.png

%changelog
* Tue Oct 24 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-1m)
- version 1.4.0

* Sun Jul 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.4-1m)
- version 1.2.4

* Wed Mar  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-3m)
- use scons install prefix=%%{buildroot}%%{_prefix}
- remove fix-SConstruct.patch
- update desktop.patch

* Fri Feb 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-2m)
- set CXXFLAGS again

* Fri Feb 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-1m)
- version 1.2.3
- remove uic.patch
- remove gcc4.patch
- add fix-SConstruct.patch
- remove %%post and %%postun
- BuildPreReq: scons, pkgconfig

* Sun Feb 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-8m)
- add enable_gcc_check_and_hidden_visibility switch

* Sun Dec 25 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0-7m)
- add gcc4 patch
- Patch1: rosegarden-4-1.0-gcc4.patch

* Mon Nov 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-6m)
- rebuild against KDE 3.5 RC1

* Fri Oct 21 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-5m)
- add rosegarden-1.0-desktopfile.patch
- BuildPreReq: desktop-file-utils
- clean up spec file

* Sat Sep 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-4m)
- fix uic build problem

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-3m)
- add --disable-rpath to configure

* Mon Jun 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-2m)
- add --with-qt-libraries=%%{qtdir}/lib to configure

* Wed Feb 23 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-1m)
- initial package
